TKN-HUB-GET(1)

NAME

tkn-hub-get - Get resource manifest by its name, kind, catalog, and version

SYNOPSIS

tkn hub get

DESCRIPTION

Get resource manifest by its name, kind, catalog, and version

OPTIONS

--from=""
    Name of Catalog to which resource belongs to.

-h, --help[=false]
    help for get

--version=""
    Version of Resource

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL (default ' ⟨https://api.hub.tekton.dev'⟩ for 'tekton' type; default ' ⟨https://artifacthub.io'⟩ for 'artifact' type). URL can also be defined in a file '$HOME/.tekton/hub-config' with a variable 'TEKTON_HUB_API_SERVER'/'ARTIFACT_HUB_API_SERVER'.

--type="tekton"
    The type of Hub from where to pull the resource. Either 'artifact' or 'tekton'

SEE ALSO

tkn-hub(1), tkn-hub-get-pipeline(1), tkn-hub-get-task(1)